Subject: RE: [dhcwg] Re: One more question

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Sat, 29 Oct 2005 09:32:52 -0400

I vote for the server that sent the Reconfigure message! That's also how
I read the text, but don't disagree it is open for interpretation.

We have the authentication for Reconfigure, so there's no reason not to
send it to the server that sent the valid (authenticated) Reconfigure.

- Bernie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Ralph Droms (rdroms)
> Sent: Saturday, October 29, 2005 8:02 AM
> To: [email-masked]
> Cc: D. R. Evans; Shengyou Zeng (szeng)
> Subject: [dhcwg] Re: One more question
> 
> There is ambiguity in RFC 3315 about which server a client responds to
> when it receives a Reconfigure message:
> 
> 19.4.1. Receipt of Reconfigure Messages
> 
>    Upon receipt of a valid Reconfigure message, the client 
> responds with
>    either a Renew message or an Information-request message 
> as indicated
>    by the Reconfigure Message option (as defined in section 22.19).
> 
> Does the client respond to the original server or the server that
> transmitted the Reconfigure message?
> 
> We should probably write up the answer as an erratum to RFC 3315.
> 
> - Ralph
> 
> 
> 
> On Wed, 2005-10-05 at 14:12 -0600, D. R. Evans wrote:
> > I suspect that this is answered clearly somewhere in the 
> RFC, but I'm 
> > having a hard time keeping it all in my head....
> > 
> > If a client receives a valid Reconfigure message from 
> somewhere other 
> > than the DHCP server that originally configured a given 
> interface (i.e., 
> > everything about the Reconfigure is fine, but the source IP 
> v6 address 
> > is not the IP address of the original DHCP server), then as 
> far as I can 
> > tell it accepts and acts on the Reconfigure. Assuming that 
> is right: 
> > when it sends the Renew or Information-request, to which 
> device does it 
> > send that message?
> > 
> >    Doc
> > 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Fri, 28 Oct 2005 12:01:39 -0700

> I read the text, but don't disagree it is open for interpretation.

I would just go back to the normal address re-acquisition process.   Indeed, 
I'm not sure how you'd avoid it, since DHCPv6 messages are generally 
multicast.